Owner = 0
MyIndex = 0
PROPMODEL = "models/Humans/Group03/male_03.mdl"
_EntPrecacheModel(PROPMODEL)

    function Holster()
    end
    
    function Deploy()
    end

    function onInit( )
    end

	function onPrimaryAttack( )
		local ent = _EntCreate("prop_ragdoll")
        if(ent > 0) then
        _EntSetModel(ent, PROPMODEL)
        --_EntitySetPhysicsAttacker( ent, Owner )
        _EntSetPos( ent,_PlayerGetShootPos( Owner ) )
        _EntSetAng( ent, _PlayerGetShootAng( Owner ) )
        _EntSpawn( ent )
        local vVelocity = vecMul( _PlayerGetShootAng( Owner ), vector3(40000, 40000, 40000) )
        _phys.ApplyForceCenter( ent, vVelocity )
        _phys.ApplyTorqueCenter( ent, vector3(4000,4000,7000) )
        _EntFire(ent, "kill", "", 6)
        end
	end

    function onSecondaryAttack( )
    end

    function onReload( )
        return false
    end
    
    function getWeaponSwapHands()
        return false
    end
    
    function getWeaponFOV()
        return 60
    end
    
    function getWeaponSlot()
        return 0    
    end
    
    function getWeaponSlotPos()
        return 8    
    end
    
    function getFiresUnderwater()
        return true
    end
    
    function getReloadsSingly()
        return false
    end

    function getDamage()
        return 10
    end
    
    function getPrimaryShotDelay()
        return 5.0
    end
        
    function getPrimaryIsAutomatic()
        return true
    end
            
    function getBulletSpread()
        return vector3( 0.00, 0.00, 0.00 )
    end
    
    function getViewKick()
        return vector3( 0.0, 0.0, 0.0)
    end
    
    function getViewKickRandom()
        return vector3( 0.0, 0.0, 0.0 )
    end
        
    function getNumShotsPrimary()
        return 1
    end
    
    function getPrimaryAmmoType()
        return "none"
    end

    function getDamageSecondary()
        return 10
    end
    
    function getSecondaryShotDelay()
        return 2.0
    end
    
    function getSecondaryIsAutomatic()
        return false
    end
    
    function getBulletSpreadSecondary()
        return vector3( 0.001, 0.001, 0.001 )
    end
    
    function getViewKickSecondary()
        return vector3( 0.5, 0.0, 0.0)
    end
    
    function getViewKickRandomSecondary()
        return vector3( 0.5, 0.5, 0.2 )
    end
    
    function getNumShotsSecondary()
        return 1
    end
    
    function getSecondaryAmmoType()
        return "none"
    end

    function getViewModel( )
        return "models/weapons/v_ar2.mdl"
    end
    
    function getWorldModel( )
        return "models/weapons/w_ar2.mdl"
    end
    
    function getClassName() 
        return "weapon_negrocannon"
    end     

    function getMaxClipPrimary()
        return 1
    end
    
    function getMaxClipSecondary()
        return -1
    end
    
    function getDefClipPrimary()
        return 1
    end
    
    function getDefClipSecondary()
        return 0
    end

    function getAnimPrefix()
        return "rpg"
    end

    function getPrintName()
        return "Negro Cannon"
    end

    function getDeathIcon()
	    return "d_crowbar"
    end

    function getPrimaryScriptOverride()
        return 2
    end

    function getSecondaryScriptOverride()
        return 2
    end
